def occurrence0(m, t, s):
    """Recherche un motif m dans un texte t pour un décalage s de t.

    Paramètres:
    m -- le motif
    t -- le texte
    s -- le décalage
    """
    for j in range(len(m)): # i varie de 0 à m-1
        if t[s + j] != m[j]:
            return False
    return True

def recherche0(m, t):
    """Recherche un motif m dans un texte t.

    Paramètres:
    m -- le motif
    t -- le texte
    """
    position_valide = []
    for s in range(len(t)):
        # test de l'occurrence du motif dans le texte au décalage s.
        if occurrence0(m, t, s): # '== True:' est inutile
            position_valide.append(s)
    return position_valide

texte = "dtadatadat"
motif = "ada"

print(recherche0(motif, texte))
